import { IAppToolkit } from '../../../app-toolkit/app-toolkit.interface';
import { ContractFactory } from '../../../contract/contracts';
import { Network } from '../../../types/network.interface';
declare type ContractOpts = {
    address: string;
    network: Network;
};
export declare class RedactedCartelContractFactory extends ContractFactory {
    protected readonly appToolkit: IAppToolkit;
    constructor(appToolkit: IAppToolkit);
    redactedBondDepository({ address, network }: ContractOpts): import("./ethers").RedactedBondDepository;
    redactedRevenueLock({ address, network }: ContractOpts): import("./ethers").RedactedRevenueLock;
    redactedRewardDistributor({ address, network }: ContractOpts): import("./ethers").RedactedRewardDistributor;
    redactedWxBtrfly({ address, network }: ContractOpts): import("./ethers").RedactedWxBtrfly;
    redactedXBtrfly({ address, network }: ContractOpts): import("./ethers").RedactedXBtrfly;
}
export type { RedactedBondDepository } from './ethers';
export type { RedactedRevenueLock } from './ethers';
export type { RedactedRewardDistributor } from './ethers';
export type { RedactedWxBtrfly } from './ethers';
export type { RedactedXBtrfly } from './ethers';
